Bug 196991 - -[WKWebsiteDataStore fetchDataRecordsOfTypes:completionHandler:] never returns _WKWebsiteDataTypeCredentials
Summary: -[WKWebsiteDataStore fetchDataRecordsOfTypes:completionHandler:] never return...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-16 15:49 PDT by Per Arne Vollan
Modified: 2019-04-25 12:06 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.70 KB, patch)
2019-04-16 16:16 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (5.44 KB, patch)
2019-04-22 14:45 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (12.23 KB, patch)
2019-04-23 16:52 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (17.83 KB, patch)
2019-04-24 14:17 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (16.37 KB, patch)
2019-04-24 15:19 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (16.04 KB, patch)
2019-04-25 09:26 PDT, Per Arne Vollan
achristensen: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.69 MB, application/zip)
2019-04-25 11:23 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2019-04-16 15:49:57 PDT
-[WKWebsiteDataStore fetchDataRecordsOfTypes:completionHandler:] never returns WKWebsiteDataRecords with dataTypes that include _WKWebsiteDataTypeCredentials.
Comment 1 Per Arne Vollan 2019-04-16 15:50:16 PDT
rdar://problem/45507423
Comment 2 Per Arne Vollan 2019-04-16 16:16:33 PDT
Created attachment 367591 [details]
Patch
Comment 3 Brent Fulgham 2019-04-16 16:57:13 PDT
Comment on attachment 367591 [details]
Patch

r=me
Comment 4 Per Arne Vollan 2019-04-16 17:06:16 PDT
Comment on attachment 367591 [details]
Patch

Thanks for reviewing!
Comment 5 John Wilander 2019-04-16 17:20:58 PDT
Comment on attachment 367591 [details]
Patch

We should refactor computeNetworkProcessAccessTypeForDataFetch() to make use of WebsiteData::ownerProcess(dataType) which I added in https://trac.webkit.org/changeset/243632/webkit. See computeNetworkProcessAccessTypeForDataRemoval() in WebKit::WebsiteDataStore.cpp for an example.
Comment 6 WebKit Commit Bot 2019-04-16 17:33:22 PDT
Comment on attachment 367591 [details]
Patch

Clearing flags on attachment: 367591

Committed r244365: <https://trac.webkit.org/changeset/244365>
Comment 7 WebKit Commit Bot 2019-04-16 17:33:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Per Arne Vollan 2019-04-17 11:49:22 PDT
(In reply to John Wilander from comment #5)
> Comment on attachment 367591 [details]
> Patch
> 
> We should refactor computeNetworkProcessAccessTypeForDataFetch() to make use
> of WebsiteData::ownerProcess(dataType) which I added in
> https://trac.webkit.org/changeset/243632/webkit. See
> computeNetworkProcessAccessTypeForDataRemoval() in
> WebKit::WebsiteDataStore.cpp for an example.

I see, that would probably simplify the implementation a bit!
Comment 9 Per Arne Vollan 2019-04-22 14:45:04 PDT
Reopening to attach new patch.
Comment 10 Per Arne Vollan 2019-04-22 14:45:05 PDT
Created attachment 367981 [details]
Patch
Comment 11 Alex Christensen 2019-04-22 14:47:58 PDT
Comment on attachment 367981 [details]
Patch

Please add a test.  See https://bugs.webkit.org/show_bug.cgi?id=197093 for an example of a test for doing things with credentials.
Comment 12 Per Arne Vollan 2019-04-23 15:30:35 PDT
(In reply to Alex Christensen from comment #11)
> Comment on attachment 367981 [details]
> Patch
> 
> Please add a test.  See https://bugs.webkit.org/show_bug.cgi?id=197093 for
> an example of a test for doing things with credentials.

Thanks for reviewing! I am looking into adding a test similar to the test in https://bugs.webkit.org/show_bug.cgi?id=197093, but it seems the credential is not being stored.
Comment 13 Per Arne Vollan 2019-04-23 16:52:17 PDT
Created attachment 368085 [details]
Patch
Comment 14 Per Arne Vollan 2019-04-24 14:17:55 PDT
Created attachment 368176 [details]
Patch
Comment 15 Brent Fulgham 2019-04-24 14:54:06 PDT
It looks like GTK/WPE are unhappy because of ISOHeapInlines.h?
Comment 16 Per Arne Vollan 2019-04-24 15:19:09 PDT
Created attachment 368188 [details]
Patch
Comment 17 Brent Fulgham 2019-04-24 15:28:11 PDT
 I think this looks fine, but Alex should review this.
Comment 18 Per Arne Vollan 2019-04-25 09:26:39 PDT
Created attachment 368240 [details]
Patch
Comment 19 Per Arne Vollan 2019-04-25 11:10:20 PDT
Thanks for reviewing, Alex!
Comment 20 Build Bot 2019-04-25 11:23:51 PDT
Comment on attachment 368240 [details]
Patch

Attachment 368240 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11995934

New failing tests:
imported/w3c/web-platform-tests/service-workers/cache-storage/window/cache-abort.https.html
Comment 21 Build Bot 2019-04-25 11:23:52 PDT
Created attachment 368251 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 22 Per Arne Vollan 2019-04-25 11:28:57 PDT
(In reply to Build Bot from comment #20)
> Comment on attachment 368240 [details]
> Patch
> 
> Attachment 368240 [details] did not pass ios-sim-ews (ios-simulator-wk2):
> Output: https://webkit-queues.webkit.org/results/11995934
> 
> New failing tests:
> imported/w3c/web-platform-tests/service-workers/cache-storage/window/cache-
> abort.https.html

I think this failure in unrelated.
Comment 23 Per Arne Vollan 2019-04-25 12:06:11 PDT
Committed r244659: <https://trac.webkit.org/changeset/244659/webkit>